Bug 1266328 - SELinux is preventing gnome-session-c from read, write access on the semaphore Unknown. [NEEDINFO]
SELinux is preventing gnome-session-c from read, write access on the semaphor...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
22
x86_64 Unspecified
high Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:09a44b2e9fd8e149514e401a477...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-25 00:03 EDT by SevM
Modified: 2016-03-16 09:56 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-16 09:56:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mgrepl: needinfo? (smartinezjr)


Attachments (Terms of Use)

  None (edit)
Description SevM 2015-09-25 00:03:46 EDT
Description of problem:
After installing Radeon Drivers for Fedora 22 computer would not boot. Disabled gdm and enabled lightdm per information found at "https://bluehatrecord.wordpress.com/2015/09/17/installing-the-proprietary-amd-catalyst-15-9-fglrx-15-201-driver-on-fedora-22-with-linux-kernel-4-1-6/#comment-1383" Fedora now boots but only using lightdm. If SELinux is disabled I am able to login no problem.
SELinux is preventing gnome-session-c from read, write access on the semaphore Unknown.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that gnome-session-c should be allowed read write access on the Unknown sem by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep gnome-session-c /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:xdm_t:s0-s0:c0.c1023
Target Context                system_u:system_r:xserver_t:s0-s0:c0.c1023
Target Objects                Unknown [ sem ]
Source                        gnome-session-c
Source Path                   gnome-session-c
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-128.13.fc22.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 4.1.6-201.fc22.x86_64 #1 SMP Fri
                              Sep 4 17:49:24 UTC 2015 x86_64 x86_64
Alert Count                   1
First Seen                    2015-09-24 22:11:30 EDT
Last Seen                     2015-09-24 22:11:30 EDT
Local ID                      d7144711-d029-4f45-a825-5d2424ed4a42

Raw Audit Messages
type=AVC msg=audit(1443147090.267:576): avc:  denied  { read write } for  pid=1529 comm="gnome-session-c" key=17908779  scontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tcontext=system_u:system_r:xserver_t:s0-s0:c0.c1023 tclass=sem permissive=1


Hash: gnome-session-c,xdm_t,xserver_t,sem,read,write

Version-Release number of selected component:
selinux-policy-3.13.1-128.13.fc22.noarch

Additional info:
reporter:       libreport-2.6.2
hashmarkername: setroubleshoot
kernel:         4.1.7-200.fc22.x86_64
type:           libreport
Comment 1 Miroslav Grepl 2015-10-12 08:12:48 EDT
If you add a local policy

# grep gnome-session /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Does it work in enforcing mode?
Comment 2 Lukas Vrabec 2015-12-08 08:51:19 EST
Any update here?
Comment 3 Lukas Vrabec 2016-03-16 09:56:55 EDT
Closing as insufficient data. Please re-open this issue when this happens again.

Note You need to log in before you can comment on or make changes to this bug.